<?php
require_once 'config.php';

// authenticate code from Google OAuth Flow
if (isset($_GET['code'])) {
  $token = $client->fetchAccessTokenWithAuthCode($_GET['code']);
  $client->setAccessToken($token['access_token']);

  // get profile info
  $google_oauth = new Google_Service_Oauth2($client);
  $google_account_info = $google_oauth->userinfo->get();
  $userinfo = [
    'email' => $google_account_info['email'],
    'first_name' => $google_account_info['givenName'],
    'last_name' => $google_account_info['familyName'],
   
    'full_name' => $google_account_info['name'],
    'picture' => $google_account_info['picture'],
    'phone' => $google_account_info['phone'],
    'verifiedEmail' => $google_account_info['verifiedEmail'],
    'token' => $google_account_info['id'],
  ];

  // checking if user is already exists in database
  $sql = "SELECT * FROM users WHERE email ='{$userinfo['email']}'";
  $result = mysqli_query($conn, $sql);
  if (mysqli_num_rows($result) > 0) {
    // user is exists
    $userinfo = mysqli_fetch_assoc($result);
    $token = $userinfo['token'];
  } else {
    // user is not exists
    $sql = "INSERT INTO users (email, first_name, last_name, full_name, picture, verifiedEmail, token, mobile) VALUES ('{$userinfo['email']}', '{$userinfo['first_name']}', '{$userinfo['last_name']}', '{$userinfo['full_name']}', '{$userinfo['picture']}', '{$userinfo['verifiedEmail']}', '{$userinfo['token']}', '{$userinfo['phone']}')";
    $result = mysqli_query($conn, $sql);
    if ($result) {
      $token = $userinfo['token'];
    } else {
      echo "User is not created";
      die(); 
    }
  }

  // save user data into session
  $_SESSION['user_token'] = $token;
} else {
  if (!isset($_SESSION['user_token'])) {
	  echo "<script>window.location.assign('index.php');</script>";
    
    die();
  }

  // checking if user is already exists in database
  $sql = "SELECT * FROM users WHERE token ='{$_SESSION['user_token']}'";
  $result = mysqli_query($conn, $sql);
  if (mysqli_num_rows($result) > 0) {
    // user is exists
    $userinfo = mysqli_fetch_assoc($result);
  }
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Submitted</title>
	 <link rel="icon" href="assets/img/favicon.avif" >
<link rel="icon" href="assets/img/ivis.png" >
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 flex items-center justify-center min-h-screen">
    <div class="bg-white p-6 rounded-lg shadow-lg w-full max-w-md text-center relative">
        <!-- Close Button -->
        <button onclick="goBack()" class="absolute top-2 right-2 text-gray-500 hover:text-gray-700">
            <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2">
                <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12" />
            </svg>
        </button>

        <!-- Tick Icon Inside Circle -->
        <div class="flex justify-center mb-4 mt-2">
            <div class="w-20 h-20 flex items-center justify-center bg-green-100 rounded-full">
                <svg xmlns="http://www.w3.org/2000/svg" class="h-12 w-12 text-green-600" viewBox="0 0 20 20" fill="currentColor">
                    <path fill-rule="evenodd" d="M16.707 5.293a1 1 0 010 1.414l-7 7a1 1 0 01-1.414 0l-3-3a1 1 0 111.414-1.414L9 11.586l6.293-6.293a1 1 0 011.414 0z" clip-rule="evenodd" />
                </svg>
            </div>
        </div>

        <!-- Sent Message -->
        <h2 class="text-3xl font-bold text-green-600 mb-4">Sent</h2>
        <p class="text-lg text-gray-700 mb-6">Thank you <?= $userinfo['full_name'] ?>!</p>
        <h6 class="text-lg text-gray-700 mb-6">You can Call us or Visit our website</h6>

        <!-- Go to Website Button -->
       <!-- Website Button -->
<!-- Website Button -->
<a href="https://www.ivisecurity.com/" class="mx-auto block bg-[#104B86] text-white py-2 px-6 rounded-lg hover:bg-[#083763] w-3/4 text-center">
    Go to Website
</a>

<!-- Call Now Button -->
<a href="tel:+18444384847" class="mx-auto block bg-[#104B86] text-white py-2 px-6 rounded-lg hover:bg-[#083763] w-3/4 text-center mt-4 md:pointer-events-none">
    <i class="fa fa-phone"></i> <span class="ml-2">Call Now</span>
</a>


<style>
    @media (min-width: 768px) {
        /* Disable click functionality on larger screens */
        a[href^="tel"] {
            pointer-events: none;
        }
    }
</style>

    </div>

    <script>
        function goBack() {
            window.location.href = "https://www.ivisecurity.com/"; // Redirects back to the form page
        }
    </script>
</body>
</html>

